Bug 178456 - XGI driver failing with Xen
XGI driver failing with Xen
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-01-20 14:56 EST by Tim Burke
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-03 07:41:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg.0.log log file (50.45 KB, text/plain)
2006-01-20 14:56 EST, Tim Burke
no flags Details
xorg.conf (2.53 KB, text/plain)
2006-01-20 14:57 EST, Tim Burke
no flags Details

  None (edit)
Description Tim Burke 2006-01-20 14:56:47 EST
I freshly installed FC5T2 (ie, not an update install) and then followed these
instructions to get Xen working:

Upon booting the hypervisor kernel, it started to boot, then last thing seen on
the console is "starting udev" then I get a black screen.  To diagnose further,
I booted to runlevel 3 and it worked fine.  Then when running `init 5`, last
thing seen before the black screen is "starting xend".

I checked w/ Jeremy and he said that other graphics cards work (ie, so its not
the case that a serial console is required).

The system is a Dell power edge sc430 w/ 384MB ram. The graphics card is:
05:07.0 VGA compatible controller: XGI - Xabre Graphics Inc Volari Z7

Attached is Xorg.0.log and xorg.conf.
Comment 1 Tim Burke 2006-01-20 14:56:47 EST
Created attachment 123503 [details]
Xorg.0.log log file
Comment 2 Tim Burke 2006-01-20 14:57:54 EST
Created attachment 123504 [details]
Comment 3 Mike A. Harris 2006-01-24 17:58:44 EST
Ok, try editing the config file and changing it to use the "sis" driver.  Does
that work?  If not, please attach the log/config from the sis driver run.

XGI video hardware is either sis or trident based, depending on the model.
The Xorg "sis" driver has been updated to support the sis XGI variants,
so assuming this board is sis based, it may work, and we just need to update
the driver database to point to the sis driver.

Comment 4 Mike A. Harris 2006-01-31 12:41:43 EST
Any luck with the "sis" driver?
Comment 5 Mike A. Harris 2006-02-03 07:41:26 EST
Since this report was filed, there have been quite a number of package updates
and rebuilds in rawhide.  Updating to the latest packages may resolve the

If the issue persists with the latest packages however, using the "sis"
driver as indicated above, please file a bug report in X.Org bugzilla at
http://bugs.freedesktop.org in the "xorg" component and attach the X log
and config to it.  Once filed upstream, paste the URL here and we'll track
the issue in upstream bugzilla.

Thanks for testing.

Setting status to "RAWHIDE"

Note You need to log in before you can comment on or make changes to this bug.